К содержимому
OneKYC
Tenant API (KYC)Справочник API (OpenAPI)

KYB Verification Links

Операций: 6

Обновлено:
GET
/v1/kyb/verification-links

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Query Parameters

page?integer

Page (1-based)

page_size?integer

Page size (1-100)

status?string

Filter by status (active, consumed, revoked)

external_user_id?string

Filter by external user ID

external_reference?string

Filter by external reference

flow_id?string

Filter by flow UUID

sort_by?string

Sort field (default created_at)

sort_order?string

Sort order: asc, desc (default desc)

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Verification links

*/*
  1. response
data?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/verification-links' \  -H 'X-Timestamp: string'
Example Response
{  "success": true,  "data": {    "items": [      {        "activated_at": "string",        "consumed_at": "string",        "created_at": "string",        "created_by": "string",        "expires_at": "string",        "external_reference": "string",        "external_user_id": "string",        "flow_id": "string",        "flow_session_id": "string",        "id": "string",        "locale": "string",        "metadata": {          "property1": null,          "property2": null        },        "prefilled_data": {          "property1": null,          "property2": null        },        "redirect_url": "string",        "revoked_at": "string",        "revoked_reason": "string",        "short_code": "string",        "status": "string",        "token": "string",        "updated_at": "string",        "utm_campaign": "string",        "utm_medium": "string",        "utm_source": "string"      }    ],    "pagination": {      "page": 0,      "page_size": 0,      "total": 0,      "total_pages": 0    }  }}
POST
/v1/kyb/verification-links

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Link options (flow_id required)

application/json
  1. body
expires_in?integer

seconds

external_reference?string
external_user_id?string
flow_id?string
locale?string
metadata?
prefilled?
redirect_url?string
utm_campaign?string
utm_medium?string
utm_source?string

Response Body

Created or reused link

application/json
  1. response
data?
success?boolean
Example Request
curl -X POST 'https://api.onekyc.io/tenant/v1/kyb/verification-links' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "data": {    "created_at": "string",    "delivery_eligible": true,    "expires_at": "string",    "external_reference": "string",    "external_user_id": "string",    "flow_id": "string",    "id": "string",    "link_url": "string",    "locale": "string",    "qr_code_url": "string",    "redirect_url": "string",    "reuse_reason": "external_reference",    "reused": true,    "session_id": "string",    "session_resumable": true,    "session_status": "string",    "short_url": "string",    "status": "string",    "url": "string",    "verification_link": "string",    "verification_url": "string"  }}
GET
/v1/kyb/verification-links/{id}

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

id*string

Link UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Verification link details

*/*
  1. response
data?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/verification-links/string' \  -H 'X-Timestamp: string'
Example Response
{  "success": true,  "data": {    "activated_at": "string",    "consumed_at": "string",    "created_at": "string",    "created_by": "string",    "expires_at": "string",    "external_reference": "string",    "external_user_id": "string",    "flow_id": "string",    "flow_session_id": "string",    "id": "string",    "locale": "string",    "metadata": {      "property1": null,      "property2": null    },    "prefilled_data": {      "property1": null,      "property2": null    },    "redirect_url": "string",    "revoked_at": "string",    "revoked_reason": "string",    "short_code": "string",    "status": "string",    "token": "string",    "updated_at": "string",    "utm_campaign": "string",    "utm_medium": "string",    "utm_source": "string"  }}
GET
/v1/kyb/verification-links/{id}/qr

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

id*string

Link UUID

Query Parameters

size?integer

QR size in pixels (1-1024, default 256)

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

PNG image

response?unknownimage/png
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyb/verification-links/string/qr' \  -H 'X-Timestamp: string'
Example Response
null
POST
/v1/kyb/verification-links/{id}/revoke

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

id*string

Link UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Optional revoke reason

application/json
  1. body
reason?string

Response Body

Revoked link info

application/json
  1. response
data?
success?boolean
Example Request
curl -X POST 'https://api.onekyc.io/tenant/v1/kyb/verification-links/string/revoke' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "data": {    "id": "string",    "revoked_at": "string",    "status": "string"  }}
POST
/v1/kyb/verification-links/batch

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Request Body

Batch create request

application/json
  1. body
defaults?
items?array<>

Response Body

Created links

application/json
  1. response
data?
success?boolean
Example Request
curl -X POST 'https://api.onekyc.io/tenant/v1/kyb/verification-links/batch' \  -H 'X-Timestamp: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "data": {    "failed": [      {        "error": "string",        "error_code": "string",        "existing_session_id": "string",        "index": 0,        "link": {          "created_at": "string",          "delivery_eligible": true,          "expires_at": "string",          "external_reference": "string",          "external_user_id": "string",          "flow_id": "string",          "id": "string",          "link_url": "string",          "locale": "string",          "qr_code_url": "string",          "redirect_url": "string",          "reuse_reason": "external_reference",          "reused": true,          "session_id": "string",          "session_resumable": true,          "session_status": "string",          "short_url": "string",          "status": "string",          "url": "string",          "verification_link": "string",          "verification_url": "string"        }      }    ],    "successful": [      {        "error": "string",        "error_code": "string",        "existing_session_id": "string",        "index": 0,        "link": {          "created_at": "string",          "delivery_eligible": true,          "expires_at": "string",          "external_reference": "string",          "external_user_id": "string",          "flow_id": "string",          "id": "string",          "link_url": "string",          "locale": "string",          "qr_code_url": "string",          "redirect_url": "string",          "reuse_reason": "external_reference",          "reused": true,          "session_id": "string",          "session_resumable": true,          "session_status": "string",          "short_url": "string",          "status": "string",          "url": "string",          "verification_link": "string",          "verification_url": "string"        }      }    ],    "summary": {      "failed": 0,      "successful": 0,      "total": 0    }  }}